clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::CFGBlock::FilterOptions Class Reference

`#include "clang/Analysis/CFG.h"`

Collaboration diagram for clang::CFGBlock::FilterOptions:
[legend]

## Public Member Functions
| FilterOptions ()

## Public Attributes
unsigned | IgnoreNullPredecessors: 1
unsigned | IgnoreDefaultsWithCoveredEnums: 1

## Detailed Description

Definition at line 776 of file CFG.h.

## Constructor & Destructor Documentation

## ◆ FilterOptions()

clang::CFGBlock::FilterOptions::FilterOptions | ( |  | ) |
| inline

Definition at line 781 of file CFG.h.

## Member Data Documentation

## ◆ IgnoreDefaultsWithCoveredEnums

unsigned clang::CFGBlock::FilterOptions::IgnoreDefaultsWithCoveredEnums

Definition at line 779 of file CFG.h.

Referenced by CheckFallThrough(), and clang::CFGBlock::FilterEdge().

## ◆ IgnoreNullPredecessors

unsigned clang::CFGBlock::FilterOptions::IgnoreNullPredecessors

Definition at line 778 of file CFG.h.

Referenced by clang::CFGBlock::FilterEdge().

The documentation for this class was generated from the following file:

- include/clang/Analysis/CFG.h